aboutsummaryrefslogtreecommitdiff
path: root/profiling
diff options
context:
space:
mode:
authorAnkush Patel2026-02-05 14:42:40 +1300
committerJakob Unterwurzacher2026-03-08 21:35:59 +0100
commit4fa21dcb57c5a0b7761bfec606ffd0e94c293ce8 (patch)
treebac9fd670706e64f1624183b1ba946d4b966bb19 /profiling
parent7bf3a3edf6ce940abf42054daa09de8e8cf9d083 (diff)
Added basic support for FreeBSD.
Freebsd-support: Change bash shebang to use /usr/bin/env Freebsd-support: Fix go vet "undefined" fixes when running make ci freebsd: stub xattr functions /proc/PID/fd does not exist on freebsd. freebsd-support: modify FchmodatNofollow for FreeBSD FreeBSD supports the Fchmodat system call, with the AT_SYMLINK_NOFOLLOW flag. FchmodatNofollow has been modified to use this system call and flag. freebsd-support: PR changes and fixes * Functions in fusefrontend_reverse/node_xattr_freebsd.go have been stubbed for now. * asuser_freebsd.go updated to only run f() when context is nil; otherwise log a warning and return an error. * emulate.go build flags updated, and FreeBSD specific version added. * sys_freebsd.go bug in Renameat2 with RENAME_EXCHANGE flag fixed. FreeBSD does not support atomic file swapping, so this flag now returns an error. * unix2syscall and atime is identical between FreeBSD and Darwin, updated filenames so Go will build the file for FreeBSD and Mac OS. freebsd-support: Addressed more PR comments and fixed build tags
Diffstat (limited to 'profiling')
-rwxr-xr-xprofiling/ls.bash4
-rwxr-xr-xprofiling/streaming-read.bash4
-rwxr-xr-xprofiling/streaming-write.bash4
-rwxr-xr-xprofiling/tar-extract.bash4
-rwxr-xr-xprofiling/write-trace.bash4
5 files changed, 15 insertions, 5 deletions
diff --git a/profiling/ls.bash b/profiling/ls.bash
index 35f5a39..334d8be 100755
--- a/profiling/ls.bash
+++ b/profiling/ls.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/streaming-read.bash b/profiling/streaming-read.bash
index 86ef942..138148c 100755
--- a/profiling/streaming-read.bash
+++ b/profiling/streaming-read.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/streaming-write.bash b/profiling/streaming-write.bash
index 6f3af56..3c29ee6 100755
--- a/profiling/streaming-write.bash
+++ b/profiling/streaming-write.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/tar-extract.bash b/profiling/tar-extract.bash
index f176368..e98100a 100755
--- a/profiling/tar-extract.bash
+++ b/profiling/tar-extract.bash
@@ -1,4 +1,6 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
+
+set -eu
cd "$(dirname "$0")"
diff --git a/profiling/write-trace.bash b/profiling/write-trace.bash
index 31af492..8b7cec9 100755
--- a/profiling/write-trace.bash
+++ b/profiling/write-trace.bash
@@ -1,8 +1,10 @@
-#!/bin/bash -eu
+#!/usr/bin/env bash
#
# Write an execution trace of writing 100MB of data
# to a new gocryptfs mount on /tmp
+set -eu
+
cd "$(dirname "$0")"
T=$(mktemp -d)